%define upstream_name    Apache-LogFormat-Compiler
%define upstream_version 0.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compile a log format string to perl-code
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(POSIX)
BuildRequires: perl(POSIX::strftime::Compiler) >= 0.300.0
BuildRequires: perl(Test::MockTime)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Time::Local)
BuildRequires: perl(Try::Tiny) >= 0.120.0
BuildRequires: perl(URI::Escape) >= 1.600.0
BuildArch:  noarch

%description
Compile a log format string to perl-code. For faster generation of
access_log lines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.330.0-2.mga6
+ Revision: 1022525
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 0.330.0-1.mga6
+ Revision: 953344
- update to 0.33

* Mon Feb 01 2016 umeabot <umeabot> 0.320.0-4.mga6
+ Revision: 930765
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.320.0-3.mga5
+ Revision: 744413
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.320.0-2.mga5
+ Revision: 683489
- Mageia 5 Mass Rebuild

* Tue Jun 10 2014 sander85 <sander85> 0.320.0-1.mga5
+ Revision: 635465
- update to 0.32

* Tue Feb 25 2014 jquelin <jquelin> 0.300.0-1.mga5
+ Revision: 596846
- update to 0.30

* Sat Oct 19 2013 umeabot <umeabot> 0.130.0-2.mga4
+ Revision: 528777
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.130.0-1.mga4
+ Revision: 447220
- adding missing buildrequires:
- imported package perl-Apache-LogFormat-Compiler


* Wed Jun 26 2013 cpan2dist 0.13-1mga
- initial mageia release, generated with cpan2dist
